Bug 244355 - Review Request: xapian-core - The Xapian Probabilistic Information Retrieval Library
Review Request: xapian-core - The Xapian Probabilistic Information Retrieval ...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-15 05:10 EDT by Marco Pesenti Gritti
Modified: 2010-06-11 00:25 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-18 15:49:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Marco Pesenti Gritti 2007-06-15 05:10:56 EDT
Spec URL: http://dev.laptop.org/~marco/xapian.spec
SRPM URL: http://dev.laptop.org/~marco/xapian-core-0.9.10-2.2.svn8397.src.rpm
Description: 
Xapian is an Open Source Probabilistic Information Retrieval Library. It
offers a highly adaptable toolkit that allows developers to easily add advanced
indexing and search facilities to applications.
Comment 1 Parag AN(पराग) 2007-06-15 08:06:46 EDT
rpmlint complains
E: xapian-core invalid-spec-name xapian.spec
Your spec filename must end with '.spec'. If it's not the case, rename your
file and rebuild your package.
Comment 2 Parag AN(पराग) 2007-06-15 08:08:28 EDT
also,
W: xapian-core-devel no-dependency-on xapian-core
W: xapian-core-devel summary-ended-with-dot Files needed for building packages
which use Xapian.
Summary ends with a dot.

AND
W: xapian-core-libs summary-ended-with-dot Xapian search engine libraries.
Summary ends with a dot.
Comment 3 Parag AN(पराग) 2007-06-15 08:11:26 EDT
can't find which rpm owns /usr/include/xapian directory
Comment 4 Parag AN(पराग) 2007-06-15 08:24:22 EDT
some other SPEC cleanups
1) use buildroot as
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

2) Not found %{?dist}. Depends whether you like to add disttag though its not
mandatory.

3) Vendor field is not needed.

4) don't add any .la files. Refer
http://fedoraproject.org/wiki/Packaging/Guidelines#head-2302ec1e1f44202c9cc4bcce24cb711266557ad7
Comment 5 Parag AN(पराग) 2007-06-15 08:29:32 EDT
any reasons to use 
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
instead only rm -rf %{buildroot}
as suggested at 
http://fedoraproject.org/wiki/Packaging/Guidelines#head-6c809b2e945ca78ae25d040f250be60f73181ef0
Comment 6 Marco Pesenti Gritti 2007-06-15 10:42:05 EDT
I fixed all the comments except:

> can't find which rpm owns /usr/include/xapian directory

It's owned by xapian-devel I think, maybe I'm missing what is the problem exactly.

http://dev.laptop.org/~marco/xapian-core-0.9.10-2.2.svn8397.fc7.src.rpm
http://dev.laptop.org/~marco/xapian-core.spec

rpmlint report just this now:

W: xapian-core-libs no-documentation

I think that's fine, the docs are in xapian-core.
Comment 7 Olly Betts 2007-06-15 13:35:13 EDT
It's certainly appreciated that you're trying to get xapian packages into
fedora, but please package Xapian 1.0.1 rather than what appears to be a rather
old SVN snapshot (from the SVN revision in the version string).

1.0.1 is more stable, and has an API and ABI that should remain compatible for
some time, which is better for users and for yourself as package maintainer. 
Users reporting problems with packages of old SVN snapshots won't get much
sympathy upstream - they'll just be directed to the unofficial RPMs.

So do yourself, your users, and upstream a favour and package the latest
released version!
Comment 8 Marco Pesenti Gritti 2007-06-15 15:47:40 EDT
Sure, sounds good, I didn't know there was a release, I'll update the source.
Comment 10 Parag AN(पराग) 2007-06-17 23:29:16 EDT
Change Souce0 to http://www.oligarchy.co.uk/xapian/1.0.1/%{name}-%{version}.tar.gz
Comment 12 Parag AN(पराग) 2007-06-18 04:05:35 EDT
Review:
+ package builds in mock (F7 i386).
+ rpmlint is silent for SRPM and for RPMs.
+ source files match upstream.
d9a88bf3cac06e9803d9d6080552ceeb  xapian-core-1.0.1.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
- dist tag is NOT present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is small so no need of -doc subpackage.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no static libraries.
+ no .pc files are present.
+ -devel, -libs subpackage exists.
+ no .la files.
+ no translations available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ scriptlets used.
+ xapian-core-devel Requires: /bin/sh libxapian.so.15 xapian-core = 1.0.1
xapian-core-libs = 1.0.1
+ xapian-core-libs Provides: libxapian.so.15
+ xapian-core-libs Requires: libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1)
libc.so.6(GLIBC_2.1.3) libc.so.6(GLIBC_2.2) libc.so.6(GLIBC_2.4) libgcc_s.so.1
libgcc_s.so.1(GCC_3.0) libm.so.6 libm.so.6(GLIBC_2.0) libstdc++.so.6
libstdc++.so.6(CXXABI_1.3) libstdc++.so.6(CXXABI_1.3.1)
libstdc++.so.6(GLIBCXX_3.4) libxapian.so.15 libz.so.1 rtld(GNU_HASH)
+ Not a GUI app.

APPROVED.
Comment 13 Marco Pesenti Gritti 2007-06-18 04:31:01 EDT
New Package CVS Request
=======================
Package Name: xapian-core
Short Description: The Xapian Probabilistic Information Retrieval Library
Owners: mpg@redhat.com
Branches: OLPC-2
InitialCC: mpg@redhat.com
Comment 14 Jason Tibbitts 2007-06-18 12:46:35 EDT
CVS done.
Comment 15 Jason Tibbitts 2007-06-18 12:53:43 EDT
Well, actually not.  mpg@redhat.com isn't in the account system and so can't
actually own packages.  So something's screwed up here: either this package
should have blocked FE-NEEDSPONSOR or some other address should be used as the
owner of this package.

Please let me know which is correct and if necessary I'll fix up the entries. 
As it is now the package exists but mpg@redhat.com won't be authorized to do
anything with it.
Comment 16 Marco Pesenti Gritti 2007-06-18 13:12:31 EDT
Ok, I need a sponsor.
Comment 17 Jason Tibbitts 2007-06-18 13:40:05 EDT
Please go ahead and apply for membership in the cvsextras group and I'll take
care of it.

I note that you already seem to be in the account system (ID "mpg") but under a
different email address, which will potentially cause all sorts of wonderful
problems.

Comment 18 Jason Tibbitts 2007-06-18 14:32:41 EDT
Everything's taken care of now.
Comment 19 Marco Pesenti Gritti 2007-06-18 15:49:37 EDT
Closing as RAWHIDE for lack of a better resolution.
Comment 20 Marco Pesenti Gritti 2007-08-07 13:14:09 EDT
Package Change Request
======================
Package Name: xapian-core
New Branches: F-7
Updated Fedora Owners: mpg@redhat.com, adel.gadllah@gmail.com
Comment 21 Kevin Fenzi 2007-08-07 20:06:04 EDT
cvs done.
Comment 22 Peter Robinson 2010-06-10 15:51:37 EDT
Package Change Request
======================
Package Name: xapian-core
New Branches: EL-6
Owners: pbrobinson sdz
Comment 23 Kevin Fenzi 2010-06-11 00:25:19 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.